Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 252946 - Review Request: xmms2 - X-platform Music Multiplexing System 2
Summary: Review Request: xmms2 - X-platform Music Multiplexing System 2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-08-16 08:15 UTC by Patrice Bouchand
Modified: 2008-08-12 07:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-11 21:07:15 UTC


Attachments (Terms of Use)

Description Patrice Bouchand 2007-08-16 08:15:51 UTC
Spec URL: http://patrice.bouchand.free.fr/rpm/xmms2.spec
SRPM URL: http://patrice.bouchand.free.fr/rpm/xmms2-0.2-0.2.DrJekyll.fc7.src.rpm

Description: XMMS2  is a redesign of the XMMS (http://www.xmms.org) music player. It features a client-server model, allowing multiple (even  simultaneous!) user  interfaces,  both textual and graphical. All common audio formats are supported using plugins. On top of this, there is a flexible  media library to organize your music.

* Since xmms2 code contains code with patents, the upstream sources must be
reworked to remove it. This is done by xmms2-generate-tarball.sh which comes within the srpm. Plugins that should be produced by the removed code will be provided by a livna rpm "xmms2-plugins"

Comment 1 Patrice Bouchand 2007-08-17 11:32:22 UTC
Spec URL: http://patrice.bouchand.free.fr/rpm/xmms2.spec
SRPM URL: http://patrice.bouchand.free.fr/rpm/xmms2-0.2-0.3.DrJekyll.fc7.src.rpm

Add Requires: pkgconfig in -devel.

Comment 2 Patrice Bouchand 2007-08-19 09:34:08 UTC
Spec URL: http://patrice.bouchand.free.fr/rpm/xmms2.spec
SRPM URL: http://patrice.bouchand.free.fr/rpm/xmms2-0.2-0.4.DrJekyll.fc7.src.rpm

- Force waf to use CFLAGS
- Non free plugins rpm will be named xmms2-plugins-nonfree



Comment 3 Debarshi Ray 2007-12-23 17:26:28 UTC
+ XMMS2 0.4 has been released.
+ You should remove the Fedora Core 6 specific portions because it has been
end-of-lifed.
+ You might need to add 'Requires(post): /sbin/ldconfig' to xmms-libs. See
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-d0dbcb7eec27622a21df280009c5b089b02f5bef

Comment 4 Debarshi Ray 2008-05-31 20:18:04 UTC
Ping?

Comment 5 Till Maas 2008-08-08 21:28:00 UTC
The spec cannot be accessed anymore, maybe this request should be closed soon, unless Patrice replies.

Comment 6 Rahul Sundaram 2008-08-11 21:07:15 UTC
No Response. Closing Ticket. If the original submitter or anyone else is interested, please submit a new review request.


Note You need to log in before you can comment on or make changes to this bug.